Name:          pax-logging
Version:       1.6.9
Release:       16%{?dist}
Summary:       OSGi Logging framework implementation
License:       ASL 2.0 and BSD and MIT
URL:           http://team.ops4j.org/wiki//display/paxlogging/Pax+Logging
Source0:       https://github.com/ops4j/org.ops4j.pax.logging/archive/logging-%{version}.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(avalon-framework:avalon-framework-api)
BuildRequires: mvn(log4j:log4j:1.2.17)
BuildRequires: mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires: mvn(org.osgi:org.osgi.compendium)
BuildRequires: mvn(org.osgi:org.osgi.core)

# Those files are modifications of code included in:
# pax-logging-api/src/main/java/org/osgi/service/log/*
Provides:      bundled(felix-osgi-compendium) = 1.3
# pax-logging-api/src/main/java/org/apache/log4j/*
Provides:      bundled(log4j12) = 1.2.15
# pax-logging-api/src/main/java/org/apache/commons/logging/Log.java
# pax-logging-api/src/main/java/org/apache/commons/logging/LogConfigurationException.java
# pax-logging-api/src/main/java/org/apache/commons/logging/LogFactory.java
# pax-logging-api/src/main/java/org/apache/commons/logging/impl/NoOpLog.java
Provides:      bundled(jcl-over-slf4j) = 1.6.1
# pax-logging-api/src/main/java/org/apache/log4j/xml/DOMConfigurator.java
# pax-logging-api/src/main/java/org/apache/log4j/spi/Configurator.java
# pax-logging-api/src/main/java/org/apache/log4j/PropertyConfigurator.java
# pax-logging-api/src/main/java/org/apache/log4j/Category.java
# pax-logging-api/src/main/java/org/apache/log4j/Level.java
# pax-logging-api/src/main/java/org/apache/log4j/Logger.java
# pax-logging-api/src/main/java/org/apache/log4j/MDC.java
# pax-logging-api/src/main/java/org/apache/log4j/NDC.java
Provides:      bundled(log4j-over-slf4j) = 1.6.1
# pax-logging-api/src/main/java/org/slf4j/*
Provides:      bundled(slf4j-api) = 1.6.1

BuildArch:     noarch

%description
The OSGi Logging framework implementation. Supports SLF4J,
LOG4J,Jakarta Commons Logging etc.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n org.ops4j.pax.logging-logging-%{version}
%pom_remove_parent
%pom_disable_module pax-logging-it
%pom_disable_module pax-logging-samples
# test deps*
%pom_remove_dep -r junit:junit
%pom_remove_dep -r org.easymock:easymock
# unavailable
%pom_remove_dep -r jmock:jmock
%pom_remove_dep -r org.ops4j.pax.exam:pax-exam
%pom_remove_dep -r org.ops4j.pax.exam:pax-exam-container-default
%pom_remove_dep -r org.ops4j.pax.exam:pax-exam-junit
%pom_remove_dep -r org.ops4j.pax.runner:pax-runner-no-jcl
# sample deps
%pom_remove_dep -r org.mortbay.jetty:jetty

%pom_remove_plugin -r org.ops4j:maven-pax-plugin
%pom_remove_plugin -r :maven-shade-plugin

sed -i "s|<source>1.4</source>|<source>1.5</source>|" pom.xml
sed -i "s|<target>1.4</target>|<target>1.5</target>|" pom.xml

# prevent log4j re-bundle 
%pom_xpath_remove "pom:_include"
%pom_xpath_inject "pom:plugin[pom:artifactId = 'maven-bundle-plugin']/pom:configuration" "<excludeDependencies>true</excludeDependencies>"

%pom_change_dep :log4j ::1.2.17
%pom_change_dep :log4j ::1.2.17 pax-logging-service

%pom_remove_plugin -r :maven-dependency-plugin pax-logging-api pax-logging-service
%pom_remove_plugin -r :maven-source-plugin pax-logging-api pax-logging-service

%mvn_file :%{name}-api %{name}-api
%mvn_file :%{name}-service %{name}-service

%build

# test skip unavailable test deps*
%mvn_build -f -- -Dproject.build.sourceEncoding=UTF-8

cp -rp pax-logging-api/NOTICE.txt .

%install
%mvn_install

%files -f .mfiles
%doc CONTRIBUTORS.txt RELEASE-NOTES.html
%license LICENSE.txt NOTICE.txt 

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt NOTICE.txt

%changelog
* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.9-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.9-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.9-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Feb 09 2016 gil cattaneo <puntogil@libero.it> 1.6.9-13
- fix Provides

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.9-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jan 29 2016 gil cattaneo <puntogil@libero.it> 1.6.9-11
- fix for rhbz#1098412
- introduce license macro

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.9-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Jun 06 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.9-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 1.6.9-8
- Use Requires: java-headless rebuild (#1067528)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.9-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 03 2013 gil cattaneo <puntogil@libero.it> 1.6.9-6
- switch to XMvn
- minor changes to adapt to current guideline

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.9-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 1.6.9-4
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Mon Oct 15 2012 gil cattaneo <puntogil@libero.it> 1.6.9-3
- remove duplicate buildrequire

* Sun Oct 14 2012 gil cattaneo <puntogil@libero.it> 1.6.9-2
- fixed license tag

* Thu Aug 16 2012 gil cattaneo <puntogil@libero.it> 1.6.9-1
- initial rpm
